table.insert( actions,
{
	id          = "NM_PETRIFY",
	name 		= "Petrify",
	description = "Turns everything to stone in a radius - be careful...",
	sprite 		= "mods/nature_magic/files/gfx/ui/petrify_card.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "2,3,4,5", 
	spawn_probability                 = "1,1,1,1", 
	price = 120,
	mana = 40,
	max_uses = 10,
	action 		= function()
		add_projectile("mods/nature_magic/files/entities/petrify.xml")
		c.fire_rate_wait = c.fire_rate_wait + 3
	end,

	
} )

table.insert( actions,
{
	id          = "NM_STONE",
	name 		= "Geokinesis I",
	description = "Throw a small stone from the end of your wand.",
	sprite 		= "mods/nature_magic/files/gfx/ui/stone_card1.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "2,3,4,5", 
	spawn_probability                 = "1,1,1,1", 
	price = 100,
	mana = 40,
	action 		= function()
		add_projectile("mods/nature_magic/files/entities/stone_1.xml")
		c.fire_rate_wait = c.fire_rate_wait + 3
	end,	
} )


table.insert( actions,
{
	id          = "NM_STONE_II",
	name 		= "Geokinesis II",
	description = "Throw a larger rock from the end of your wand.",
	sprite 		= "mods/nature_magic/files/gfx/ui/stone_card2.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "3,4,5,6", 
	spawn_probability                 = "1,1,1,1", 
	price = 200,
	mana = 40,
	action 		= function()
		add_projectile("mods/nature_magic/files/entities/stone_2.xml")
		c.fire_rate_wait = c.fire_rate_wait + 3
	end,	
} )

table.insert( actions,
{
	id          = "NM_STONE_III",
	name 		= "Geokinesis III",
	description = "Throw a huge boulder from the end of your wand.",
	sprite 		= "mods/nature_magic/files/gfx/ui/stone_card3.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "3,4,5,6", 
	spawn_probability                 = "1,1,1,1", 
	price = 400,
	mana = 40,
	action 		= function()
		add_projectile("mods/nature_magic/files/entities/stone_3.xml")
		c.fire_rate_wait = c.fire_rate_wait + 3
	end,	
} )

table.insert( actions,
{
	id          = "NM_STONE_FLESH",
	name 		= "Stone to Flesh",
	description = "A cure for petrification?",
	sprite 		= "mods/nature_magic/files/gfx/ui/stone_to_flesh.png",
	type 		= ACTION_TYPE_MODIFIER,
	spawn_level                       = "1,2,3,4", 
	spawn_probability                 = "1,1,1,1", 
	price = 80,
	mana = 15,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/nature_magic/files/entities/stone_to_meat.xml,data/entities/particles/tinyspark_red.xml,"
		c.fire_rate_wait = c.fire_rate_wait + 6
		draw_actions(1, true)
	end,	
} )


-- Other ideas (sneak peek!!):
-- Vine Shot (whipping vines, but applied to projectile. seems to cause crashes if the projectile expires before the vines are done though)
-- Elemental Summon (shoot projectile - the material it hits determines type of friend summoned)

