dofile( "data/scripts/lib/utilities.lua" )

local entity_id    = GetUpdatedEntityID()

edit_component( entity_id, "VelocityComponent", function(comp,vars)
	local vel_x,vel_y = ComponentGetValueVector2( comp, "mVelocity", vel_x, vel_y)
    
    local len = math.sqrt((vel_x*vel_x) + (vel_y*vel_y))

    local dir_x = vel_x / len
    local dir_y = vel_y / len

    -- force velocity to like, 250?

    local force_x = (250 * dir_x) - vel_x
    local force_y = (250 * dir_y) - vel_y



    PhysicsApplyForce(entity_id, force_x, force_y)

    
    
end)